import request from '@/utils/request'

// 查询消防竖管列表
export function listFirestandpipe(query) {
  return request({
    url: '/ehs/firestandpipe/list',
    method: 'get',
    params: query
  })
}

// 查询消防竖管详细
export function getFirestandpipe(id) {
  return request({
    url: '/ehs/firestandpipe/' + id,
    method: 'get'
  })
}

// 新增消防竖管
export function addFirestandpipe(data) {
  return request({
    url: '/ehs/firestandpipe',
    method: 'post',
    data: data
  })
}

// 修改消防竖管
export function updateFirestandpipe(data) {
  return request({
    url: '/ehs/firestandpipe',
    method: 'put',
    data: data
  })
}

// 删除消防竖管
export function delFirestandpipe(id) {
  return request({
    url: '/ehs/firestandpipe/' + id,
    method: 'delete'
  })
}

// 导出消防竖管
export function exportFirestandpipe(query) {
  return request({
    url: '/ehs/firestandpipe/export',
    method: 'get',
    params: query
  })
}

// 批量消防竖管
export function batchEdit(data) {
  return request({
    url: '/ehs/firestandpipe/batchEdit',
    method: 'post',
    data: data
  })
}
